# Copyright (c) 2010-2011 Simplistix Ltd
#
# This Software is released under the MIT License:
# http://www.opensource.org/licenses/mit-license.html
# See license.txt for more details.

from setuptools import setup, find_packages

import os

base_dir = os.path.join(os.path.dirname(__file__))

setup(
    name='jmb-links',
    version='0.1',
    author='Alesandro Dentella',
    author_email='sandro@e-den.it',
    license='MIT',
    description="zc.buildout extension to create links to packages.",
#    long_description=open(os.path.join(base_dir,'docs','description.txt')).read(),
    url='http://hg.thundersystems.it/',
    classifiers=[
    'Development Status :: 5 - Production/Stable',
    'License :: OSI Approved :: GPLv3',
    ],
    packages = find_packages('src'),
    package_dir = {'':'src'},
    zip_safe=False,
    include_package_data=True,
    install_requires=[
        'zc.buildout>=1.5.0',
    ],
    entry_points = { 
        'zc.buildout.extension': [
             'default = jmb_links:start',
             ],
        'zc.buildout.unloadextension': [
             'default = jmb_links:finish',
             ],
        },
    # extras_require=dict(
    #        test=[
    #         'manuel',
    #         'testfixtures',
    #         'zc.recipe.egg',
    #         ],
    #        )
    )
